//------------------------------------------------------------------------------
// <auto-generated>
//     Этот код создан по шаблону.
//
//     Изменения, вносимые в этот файл вручную, могут привести к непредвиденной работе приложения.
//     Изменения, вносимые в этот файл вручную, будут перезаписаны при повторном создании кода.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ParticipationInOlympiads
{
    using System;
    using System.Collections.Generic;
    
    public partial class StudentTable
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public StudentTable()
        {
            this.RegistrationOfParticipantsTables = new HashSet<RegistrationOfParticipantsTable>();
        }
    
        public int StudentId { get; set; }
        public string StudentSurname { get; set; }
        public string StudentName { get; set; }
        public string StudentMiddle { get; set; }
        public int StudentClass { get; set; }
    
        public virtual ClassTable ClassTable { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<RegistrationOfParticipantsTable> RegistrationOfParticipantsTables { get; set; }
    }
}
